﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;

namespace XamNumericEditorSpin
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            XamNumericEditor xne = new XamNumericEditor();
            xne.VerticalAlignment = System.Windows.VerticalAlignment.Top;
            xne.HorizontalAlignment = System.Windows.HorizontalAlignment.Center;
            xne.Width = 100;
            sp.Children.Add(xne);
        }

        private void XNEloaded(object sender, RoutedEventArgs e)
        {
            (sender as XamNumericEditor).ExecutingCommand += new EventHandler<Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs>(MainWindow_ExecutingCommand);
        }

        void MainWindow_ExecutingCommand(object sender, Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs e)
        {
            if (e.Command == MaskedEditorCommands.SpinUp || e.Command == MaskedEditorCommands.SpinDown)
            {
                e.Cancel = true;
            }
        }
    }
}
